Bug 206586 - www/sogo: daemon sogod doesn't start when devel/gnustep-make not installed
Summary: www/sogo: daemon sogod doesn't start when devel/gnustep-make not installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-24 21:17 UTC by Niklaas Baudet von Gersdorff
Modified: 2016-03-09 23:26 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niklaas Baudet von Gersdorff 2016-01-24 21:17:44 UTC
I installed www/sogo in a jail and wanted to run the daemon. I got

# service sogod start
.: cannot open /usr/local/GNUstep/System/Library/Makefiles/GNUstep.sh: No such file or directory

After installing devel/gnustep-make I could solve the problem. I guess there's simply a dependency missing in www/sogo's Makefile. There we have

USE_GNUSTEP=        base build

I had a look at Mk/Uses/gnustep.mk but couldn't figure out what is the appropriate setting. Maybe a

USE_DEPENDS=gnustep-make>=0:${PORTSDIR}/devel/gnustep-make

in www/sogo's Makefile would do it too. But I am not sure what's the best way to pursue here. Otherwise I would've provided a diff.
Comment 1 Euan Thoms 2016-02-06 05:51:51 UTC
That is strange. it should not even be able to build sope and sogo successfully without gnustep-make.

I'll look into it when i get some time. However, the poudriere test build passes, along with all the other tests.

I suggest you try to build again from ports in a clean evironment (perhaps a new jail).
Comment 2 Euan Thoms 2016-02-06 05:59:06 UTC
In my ports development jail I removed www/sogo, devel/sope, and gnustep-make packages. Then I cd tro /usr/ports/deve/sope and run "make". The first thing it does is install gnustep-make as a dependency.

Therfore I think this a problem your end. Something went wrong somewhere. Try again in a clean environment, making sure first to do a full "portsanp fetch extract", or a "portsnap fetch update" if you're confident it's already a healthy ports tree.
Comment 3 David Chisnall freebsd_committer 2016-02-06 12:44:49 UTC
That doesn't follow.  Is gnustep-make a *run-time* dependency or just a build dependency?  People installing from packages won't be get build deps installed.
Comment 4 Euan Thoms 2016-02-08 16:32:11 UTC
(In reply to David Chisnall from comment #3)

Aha, that would definetely explain Niklaas' situation. To be honest, I've never tested a sogo installation from packages. I use ports exclusively in jails for all services.

I'm surprised nobody ahas mentioned this sooner.

I will look into it ASAP. I think I'll have to add a runtime dependency for gnustep-make.

David, could you please point me to a port that I can follow for best practice with gnustep-make runtime dependency.

This is the relevant par tof the devel/sope port upon which www/sogo relies:

USES=                   gmake gnustep
USE_GNUSTEP=            base build
USE_LDCONFIG=           ${GNUSTEP_LOCAL_LIBRARIES}

SUB_LIST+=              GNUSTEP_LOCAL_TOOLS=${GNUSTEP_LOCAL_TOOLS} \
                        GNUSTEP_MAKEFILES=${GNUSTEP_MAKEFILES}
Comment 5 Niklaas Baudet von Gersdorff 2016-02-09 06:33:25 UTC
(In reply to Euan Thoms from comment #4)

This is what I meant. I guess a runtime dependency is missing. In my original post I already mentioned an idea how to solve the issue in the Makefile. It should be possible to do it with USE_DEPENDS but maybe also with USE_GNUSTEP (which would be the cleaner variant, I guess).
Comment 6 commit-hook freebsd_committer 2016-02-29 17:07:36 UTC
A commit references this bug:

Author: theraven
Date: Mon Feb 29 17:07:19 UTC 2016
New revision: 409818
URL: https://svnweb.freebsd.org/changeset/ports/409818

Log:
  Add GNUstep Make as a run-time dependency of GNUstep Base.

  The -make package contains makefiles required for building, but also shell
  scripts for finding run-time dependencies.  This was reported as a bug on
  www/sogo, but actually affects most GNUstep applications.

  PR:		206586

Changes:
  head/lang/gnustep-base/Makefile
Comment 7 David Chisnall freebsd_committer 2016-02-29 17:08:13 UTC
I believe that this is fixed as of r409818, please reopen if it is not.
Comment 8 Euan Thoms 2016-03-09 23:26:09 UTC
(In reply to David Chisnall from comment #7)

Thanks David. Actually I've been so busy developing and releasing a couple of my open source projects into the wild that I haven't made time to look into this issue. I'm glad you've managed to fix it.

I hope this will mean the 10.3 RELEASE packages will benefit in time. I'm not sure at what point they build the final packages from ports.